package com.bocloud.nms.model.veeam.repositories;

public class MountServerSettingsModel {

    private String mountServerId;
    private String writeCacheFolder;
    private boolean vPowerNFSEnabled;
    private VPowerNFSPortSettingsModel vPowerNFSPortSettings;

    public String getMountServerId() {
        return mountServerId;
    }

    public void setMountServerId(String mountServerId) {
        this.mountServerId = mountServerId;
    }

    public String getWriteCacheFolder() {
        return writeCacheFolder;
    }

    public void setWriteCacheFolder(String writeCacheFolder) {
        this.writeCacheFolder = writeCacheFolder;
    }

    public boolean isvPowerNFSEnabled() {
        return vPowerNFSEnabled;
    }

    public void setvPowerNFSEnabled(boolean vPowerNFSEnabled) {
        this.vPowerNFSEnabled = vPowerNFSEnabled;
    }

    public VPowerNFSPortSettingsModel getvPowerNFSPortSettings() {
        return vPowerNFSPortSettings;
    }

    public void setvPowerNFSPortSettings(VPowerNFSPortSettingsModel vPowerNFSPortSettings) {
        this.vPowerNFSPortSettings = vPowerNFSPortSettings;
    }

    @Override
    public String toString() {
        return "MountServerSettingsModel{" +
                "mountServerId='" + mountServerId + '\'' +
                ", writeCacheFolder='" + writeCacheFolder + '\'' +
                ", vPowerNFSEnabled=" + vPowerNFSEnabled +
                ", vPowerNFSPortSettings=" + vPowerNFSPortSettings +
                '}';
    }
}
